Subject: Re: SFTP owner, group and mode flags...

From: "Joseph Galbraith" <[email-masked]>
Date: Thu, 21 Mar 2002 08:34:58 -0700

> The proposals for changes to the method in which user & group information
> and ACLs sound good.  I agree with the general idea of using mechanisms
that
> have been developed in existing RFCs.
>
> >* Change the mode field to a type field, which indicates
> >  the type of the file, and make it a byte field.
>
> I don't understand what you are talking about here.  The only place that I
> could find the word "mode" used in the document was in the mention that
> files are always opened in binary mode.  (Which I think is an error.)

Sorry, I should have been more explicit here.

What I'm saying is that currently there are
two pieces of information in permissions
field:

* The type of file (directory, normal, special, etc.)
* And the access rights for the owner, the group, and
  everyone.

I was proposing that we split this.  We still need a type
field.  This information could be encoded as a BYTE,
with enumerations defined in the draft.

The access rights information would be encoded as an ACL.

- Joseph